simple rectangle will not offset

Discussion in 'AutoCAD' started by gadski, Dec 29, 2003.

  1. gadski

    gadski Guest

    hi,
    i have a simple rectangle with a lttle 'blip'
    that will not offset in acad2000,

    can anyone test in other versions to see if it does offset,
    i get a "cannot offset that object" bug.

    here are the coordinates ...
    125, 130
    125, 135
    120, 130
    100, 130
    100, 100
    150, 100
    150, 130

    enter as 2d polyline and close, then try to offset inside by 10.

    strange thing is that when the 'blip' is taken out , the rectangle
    offsets ok ?

    gadski
     
    gadski, Dec 29, 2003
    #1
  2. gadski

    Jordi Guest

    Gadski, try this

    Dim plineObj As AcadLWPolyline
    Dim points(0 To 13) As Double
    points(0) = 125: points(1) = 130
    points(2) = 125: points(3) = 135
    points(4) = 120: points(5) = 130
    points(6) = 100: points(7) = 130
    points(8) = 100: points(9) = 100
    points(10) = 150: points(11) = 100
    points(12) = 150: points(13) = 130
    Set plineObj = ThisDrawing.ModelSpace.AddLightWeightPolyline(points)
    plineObj.Closed = True
    ZoomAll


    Dim offsetObj As Variant
    offsetObj = plineObj.Offset(10#)

    Jordi
     
    Jordi, Dec 29, 2003
    #2
  3. gadski

    gadski Guest

    thanks jordi,

    but make it offset inside (use -ve number for offset value)

    that is ...
    offsetObj = plineObj.Offset(-10#)

    mine fails, does yours ?
     
    gadski, Dec 29, 2003
    #3
  4. gadski

    Jordi Guest

    Same here, the "little blip" is to small to create a negative offset.
     
    Jordi, Dec 29, 2003
    #4
  5. gadski

    gadski Guest

    what version of acad did you test with ?


     
    gadski, Dec 29, 2003
    #5
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.